# ``twisted`.`internet`.`interfaces`.`IHalfCloseableDescriptor``

interface documentation

`class IHalfCloseableDescriptor(Interface): (source)`

Known implementations: `twisted.internet.abstract.FileDescriptor`, `twisted.internet.iocpreactor.abstract.FileHandle`, `twisted.internet.stdio.StandardIO`

View In Hierarchy

A descriptor that can be half-closed.

Method | `readConnectionLost` | Indicates read connection was lost.
Method | `writeConnectionLost` | Indicates write connection was lost.

def readConnectionLost(reason): (source)
Indicates read connection was lost.

Parameters
reason:`Failure` | Undocumented

def writeConnectionLost(reason): (source)
Indicates write connection was lost.

Parameters
reason:`Failure` | Undocumented